Upstream information

CVE-2021-3800 at MITRE

Description

A flaw was found in glib before version 2.63.6. Due to random charset alias, pkexec can leak content from files owned by privileged users to unprivileged ones under the right condition.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 4.7
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:L/AC:H/PR:N/UI:R/S:U/C:H/I:N/A:N
Access Vector Network Local
Access Complexity Low High
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1191489 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES12-SP4-Azure-BYOS
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-Basic-On-Demand
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-HPC-On-Demand
Image SLES12-SP5-Azure-Standard-On-Demand
Image SLES12-SP5-EC2-BYOS
Image SLES12-SP5-EC2-ECS-On-Demand
Image SLES12-SP5-EC2-On-Demand
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-On-Demand
  • glib2-tools >= 2.48.2-12.25.1
  • libgio-2_0-0 >= 2.48.2-12.25.1
  • libglib-2_0-0 >= 2.48.2-12.25.1
  • libgmodule-2_0-0 >= 2.48.2-12.25.1
  • libgobject-2_0-0 >= 2.48.2-12.25.1
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • glib2-tools >= 2.48.2-12.25.1
  • libgio-2_0-0 >= 2.48.2-12.25.1
  • libglib-2_0-0 >= 2.48.2-12.25.1
  • libgmodule-2_0-0 >= 2.48.2-12.25.1
  • libgobject-2_0-0 >= 2.48.2-12.25.1
  • libgthread-2_0-0 >= 2.48.2-12.25.1
SUSE Linux Enterprise Desktop 12 SP5
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libgio-fam >= 2.48.2-12.25.1
Patchnames:
SUSE-SLE-WE-12-SP5-2022-828
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • glib2-devel >= 2.48.2-12.25.1
  • glib2-devel-static >= 2.48.2-12.25.1
  • glib2-lang >= 2.48.2-12.25.1
  • glib2-tools >= 2.48.2-12.25.1
  • libgio-2_0-0 >= 2.48.2-12.25.1
  • libgio-2_0-0-32bit >= 2.48.2-12.25.1
  • libgio-fam >= 2.48.2-12.25.1
  • libglib-2_0-0 >= 2.48.2-12.25.1
  • libglib-2_0-0-32bit >= 2.48.2-12.25.1
  • libgmodule-2_0-0 >= 2.48.2-12.25.1
  • libgmodule-2_0-0-32bit >= 2.48.2-12.25.1
  • libgobject-2_0-0 >= 2.48.2-12.25.1
  • libgobject-2_0-0-32bit >= 2.48.2-12.25.1
  • libgthread-2_0-0 >= 2.48.2-12.25.1
  • libgthread-2_0-0-32bit >= 2.48.2-12.25.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-828
SUSE-SLE-SERVER-12-SP5-2022-828
SUSE-SLE-WE-12-SP5-2022-828
SUSE Linux Enterprise Software Development Kit 12 SP5
  • glib2-devel >= 2.48.2-12.25.1
  • glib2-devel-static >= 2.48.2-12.25.1
  • libgio-fam >= 2.48.2-12.25.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-828


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 glib2 In progress
SUSE CaaS Platform 4.0 glib2 Affected
SUSE CaaS Platform 4.5 glib2 Not affected
SUSE Enterprise Storage 6 glib2 Affected
SUSE Enterprise Storage 7 glib2 Not affected
SUSE Linux Enterprise Desktop 12 SP5 glib2 Released
SUSE Linux Enterprise Desktop 15 SP2 glib2 Not affected
SUSE Linux Enterprise Desktop 15 SP3 glib2 Not affected
SUSE Linux Enterprise Desktop 15 SP4 glib2 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 glib2 Released
SUSE Linux Enterprise High Performance Computing 15 LTSS glib2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS glib2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS glib2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 glib2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS glib2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS glib2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 glib2 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 glib2 Not affected
SUSE Linux Enterprise Micro 5.0 glib2 Not affected
SUSE Linux Enterprise Micro 5.1 glib2 Not affected
SUSE Linux Enterprise Micro 5.2 glib2 Not affected
SUSE Linux Enterprise Micro 5.3 glib2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 glib2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 glib2 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 glib2 Not affected
SUSE Linux Enterprise Point of Service 11 SP3 glib2 Affected
SUSE Linux Enterprise Real Time 15 SP2 glib2 Not affected
SUSE Linux Enterprise Server 11 SP1 glib2 Unsupported
SUSE Linux Enterprise Server 11 SP3 glib2 Unsupported
SUSE Linux Enterprise Server 11 SP4 LTSS glib2 In progress
SUSE Linux Enterprise Server 12 SP2 BCL glib2 In progress
SUSE Linux Enterprise Server 12 SP3 BCL glib2 In progress
SUSE Linux Enterprise Server 12 SP3 ESPOS glib2 In progress
SUSE Linux Enterprise Server 12 SP3 LTSS glib2 In progress
SUSE Linux Enterprise Server 12 SP4 ESPOS glib2 In progress
SUSE Linux Enterprise Server 12 SP4 LTSS glib2 In progress
SUSE Linux Enterprise Server 12 SP5 glib2 Released
SUSE Linux Enterprise Server 15 ESPOS glib2 Affected
SUSE Linux Enterprise Server 15 LTSS glib2 Affected
SUSE Linux Enterprise Server 15 SP1 LTSS glib2 Affected
SUSE Linux Enterprise Server 15 SP2 glib2 Not affected
SUSE Linux Enterprise Server 15 SP2 LTSS glib2 Not affected
SUSE Linux Enterprise Server 15 SP3 glib2 Not affected
SUSE Linux Enterprise Server 15 SP4 glib2 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 glib2 Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 glib2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 glib2 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 glib2 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP5 glib2 Released
SUSE Linux Enterprise Server for SAP Applications 15 glib2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 glib2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 glib2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 glib2 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 glib2 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 glib2 Released
SUSE Linux Enterprise Storage 7 glib2 Not affected
SUSE Linux Enterprise Storage 7.1 glib2 Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 glib2 Released
SUSE Manager Proxy 4.1 glib2 Not affected
SUSE Manager Proxy 4.2 glib2 Not affected
SUSE Manager Proxy 4.3 glib2 Not affected
SUSE Manager Retail Branch Server 4.1 glib2 Not affected
SUSE Manager Retail Branch Server 4.2 glib2 Not affected
SUSE Manager Retail Branch Server 4.3 glib2 Not affected
SUSE Manager Server 4.1 glib2 Not affected
SUSE Manager Server 4.2 glib2 Not affected
SUSE Manager Server 4.3 glib2 Not affected
SUSE OpenStack Cloud 8 glib2 In progress
SUSE OpenStack Cloud 9 glib2 In progress
SUSE OpenStack Cloud Crowbar 8 glib2 In progress
SUSE OpenStack Cloud Crowbar 9 glib2 In progress
SUSE Package Hub 15 glib2 Unsupported